Bug 1495510 (CVE-2017-13704) - CVE-2017-13704 dnsmasq: Size parameter overflow via large DNS query
Summary: CVE-2017-13704 dnsmasq: Size parameter overflow via large DNS query
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2017-13704
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1495418
TreeView+ depends on / blocked
 
Reported: 2017-09-26 08:37 UTC by Andrej Nemec
Modified: 2019-09-29 14:22 UTC (History)
22 users (show)

Fixed In Version: dnsmasq 2.78
Doc Type: If docs needed, set a value
Doc Text:
An integer underflow flaw leading to a buffer over-read was found in dnsmasq in the DNS code. An attacker could send crafted DNS packets to dnsmasq which would cause it to crash.
Clone Of:
Environment:
Last Closed: 2017-09-29 05:09:56 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-09-26 08:37:45 UTC
It was found that if a DNS query request (qlen) is either larger than 512, or includes an EDNS0 packet size field, and the request is larger than what it specifies, then the size parameter to memset will overflow and become negative. An attacker could use this for a remote denial of service attack.

References:

http://lists.thekelleys.org.uk/pipermail/dnsmasq-discuss/2017q3/011729.html

Upstream patch:

http://thekelleys.org.uk/gitweb/?p=dnsmasq.git;a=commit;h=63437ffbb58837b214b4b92cb1c54bc5f3279928

Comment 1 Tomas Hoger 2017-09-26 08:40:59 UTC
Upstream CHANGELOG notes this issue is a regression introduced in dnsmasq version  2.77 and is getting fixed in version 2.78.


Note You need to log in before you can comment on or make changes to this bug.